POST api/departmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "15889bb7-40bc-43ca-aede-8a7967fbdf55",
"selected_nameplate_id": "b482613d-898d-4994-ab40-e2756434a920",
"active": true,
"department_id": "9cefa690-fb0c-4c79-8be5-eea0d7ca13a3",
"id": "d35e3791-b7da-4247-843a-43f4d4b41790",
"physical_item_id": "b7d6a1cc-d6ed-4483-9265-3e1ccc4f6138",
"service_item_id": "8b331b52-9691-486d-8476-eacdedbc65b2",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>9cefa690-fb0c-4c79-8be5-eea0d7ca13a3</department_id>
<id>d35e3791-b7da-4247-843a-43f4d4b41790</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>b7d6a1cc-d6ed-4483-9265-3e1ccc4f6138</physical_item_id>
<quantity>1</quantity>
<service_item_id>8b331b52-9691-486d-8476-eacdedbc65b2</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>b482613d-898d-4994-ab40-e2756434a920</selected_nameplate_id>
<selected_sticker_id>15889bb7-40bc-43ca-aede-8a7967fbdf55</selected_sticker_id>
</department_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"537d0296-8123-49db-9e5f-4bed44b1e67c"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">537d0296-8123-49db-9e5f-4bed44b1e67c</guid>